/* 9. Lesen Sie die Koordinaten zweier Punkte in der Ebene ein und berechnen Sie
den Abstand der Punkte vom Ursprung und
den Abstand der beiden Punkte von einander!
Hinweis: #include (<)math.h> für sqrt()= Quadratwurzel,
abstand= sqrt( (x1-x2)*(x1-x2) + (y1-y2)*(y1-y2) );
------------------------------------------------------------------------------*/

#include <stdlib.h>
#include <math.h>
int main()
{ float x1, x2, y1, y2;
  printf("\n Koordinaten des 1. Punktes: ");   scanf("%f %f", &x1, &y1);
  printf("\n Koordinaten des 2. Punktes: ");   scanf("%f %f", &x2, &y2);

  printf("\n\n");
  printf("Abstand des 1. Punktes vom Ursprung: %f", sqrt(x1*x1 +y1*y1) );

  printf("\n\n");
  printf("Abstand des 2. Punktes vom Ursprung: %f", sqrt(x2*x2 +y2*y2) );

  printf("\n\n");
  printf("Abstand der Punkte: %f",sqrt((x1-x2)*(x1-x2) +(y1-y2)*(y1-y2)));

  printf("\n\n");    system("PAUSE");       return 0;
}
